Bug 474985 - Review Request: jakarta-commons-compress - API for working with tar, zip and bzip2 files
Review Request: jakarta-commons-compress - API for working with tar, zip and ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: tvbrowser
  Show dependency treegraph
 
Reported: 2008-12-06 06:42 EST by Sandro Mathys
Modified: 2009-01-29 18:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 18:03:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
konrad: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
[Review] (8.53 KB, text/plain)
2008-12-16 08:03 EST, Conrad Meyer
no flags Details

  None (edit)
Description Sandro Mathys 2008-12-06 06:42:51 EST
Spec URL: http://red.fedorapeople.org/SRPMS/jakarta-commons-compress.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/jakarta-commons-compress-20081205-0.1.fc10.src.rpm
Description: The code in this component came from Avalon's Excalibur, but originally
from Ant, as far as life in Apache goes. The tar package is originally
Tim Endres' public domain package. The bzip2 package is based on the
work done by Keiron Liddle. It has migrated via:
Ant -> Avalon-Excalibur -> Commons-IO -> Commons-Compress.

This  is a dependency needed for tvbrowser, for which a review request exists
already.

rpmlint on spec, srpm and noarch-rpms finishes checking without any warnings or
errors.

A SVN-checkout/-tarball is necessary because commons-compress is still in its 'sandbox', where upstream does not create tarballs of any sort. This will only change once it becomes mature.

I'd still need a sponsor.
Comment 1 Sandro Mathys 2008-12-11 20:02:14 EST
Successfully created a mock-(re)build of this version of this pkg.
Comment 2 Mamoru TASAKA 2008-12-15 10:03:08 EST
(Removing NEEDSPONSOR)
Comment 3 Sandro Mathys 2008-12-15 23:29:41 EST
Spec URL: http://red.fedorapeople.org/SRPMS/jakarta-commons-compress.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/jakarta-commons-compress-20081205-1.fc10.src.rpm

New version including much of the experience I got when my jcalendar pkg was
reviewed.
Comment 4 Conrad Meyer 2008-12-16 08:03:08 EST
Created attachment 327099 [details]
[Review]

See attached for my initial review of the package.

I need a reason for building the jar manually instead of using maven before approving this (or alternatively, you can switch the spec over to build using maven (pom.xml) as documented at [0] and [1]).

[0]: https://fedoraproject.org/wiki/Packaging/Java#maven
[1]: https://fedoraproject.org/wiki/Packaging/Java#maven_2
Comment 5 Sandro Mathys 2008-12-16 12:12:25 EST
Thanks for the review.

Actually, maven needs artifacts that are not provided in Fedora. And packaging other java software that could be built using maven also shows that maven is Fedora lacks lots of important artifacts and that maven is really outdated. And I really don't understand maven enough to change any of this.
Comment 6 Conrad Meyer 2008-12-16 17:43:15 EST
That is a perfectly legitimate reason not to use maven for me. Please fix the other things in the review.
Comment 7 Sandro Mathys 2008-12-16 19:01:18 EST
I'm about to perform the necessary changes.

Is it a problem to have the svn information included? Makes it somewhat easier to maintain as I only need to unpack it, svn up, repack it and do a new build.

Including the date when the snapshot was done in the release tag is a problem:
jakarta-commons-compress-javadoc.noarch: W: filename-too-long-for-joliet jakarta-commons-compress-javadoc-0-0.1.20081205svn.fc11.noarch.rpm

...what should I do about this?
Comment 8 Conrad Meyer 2008-12-16 19:17:30 EST
(In reply to comment #7)
> I'm about to perform the necessary changes.
> 
> Is it a problem to have the svn information included? Makes it somewhat easier
> to maintain as I only need to unpack it, svn up, repack it and do a new build.

Sure, if that works for you that's fine.

> Including the date when the snapshot was done in the release tag is a problem:
> jakarta-commons-compress-javadoc.noarch: W: filename-too-long-for-joliet
> jakarta-commons-compress-javadoc-0-0.1.20081205svn.fc11.noarch.rpm
> 
> ...what should I do about this?

dwmw2 says this is not an issue, I believe him :).
Comment 10 Conrad Meyer 2008-12-16 19:40:52 EST
Looks good. APPROVED.
Comment 11 Sandro Mathys 2008-12-16 19:44:54 EST
New Package CVS Request
=======================
Package Name: jakarta-commons-compress
Short Description: Java API for working with tar, zip and bzip2 files
Owners: red
Branches: F-9 F-10
InitialCC:
Comment 12 Kevin Fenzi 2008-12-17 19:14:31 EST
cvs done.
Comment 13 Fedora Update System 2009-01-09 06:49:54 EST
jakarta-commons-compress-0-0.1.20081205svn727209.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/jakarta-commons-compress-0-0.1.20081205svn727209.fc9
Comment 14 Fedora Update System 2009-01-09 06:51:43 EST
jakarta-commons-compress-0-0.1.20081205svn727209.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/jakarta-commons-compress-0-0.1.20081205svn727209.fc10
Comment 15 Fedora Update System 2009-01-14 21:54:03 EST
jakarta-commons-compress-0-0.1.20081205svn727209.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jakarta-commons-compress'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0392
Comment 16 Fedora Update System 2009-01-14 22:04:40 EST
jakarta-commons-compress-0-0.1.20081205svn727209.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update jakarta-commons-compress'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0514
Comment 17 Fedora Update System 2009-01-29 18:03:04 EST
jakarta-commons-compress-0-0.1.20081205svn727209.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-01-29 18:04:49 EST
jakarta-commons-compress-0-0.1.20081205svn727209.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.